# depot_cmd.cpp File Reference

Command Handling for depots. More...

`#include "stdafx.h"`
`#include "command_func.h"`
`#include "depot_base.h"`
`#include "company_func.h"`
`#include "string_func.h"`
`#include "town.h"`
`#include "vehicle_gui.h"`
`#include "vehiclelist.h"`
`#include "window_func.h"`
`#include "table/strings.h"`

Go to the source code of this file.

## Functions
static bool | IsUniqueDepotName (const char *name)
CommandCost | CmdRenameDepot (TileIndex tile, DoCommandFlag flags, uint32 p1, uint32 p2, const char *text)
| Rename a depot.

## Detailed Description

Command Handling for depots.

Definition in file depot_cmd.cpp.

## Function Documentation

CommandCost CmdRenameDepot | ( | TileIndex | tile,
|  | DoCommandFlag | flags,
|  | uint32 | p1,
|  | uint32 | p2,
|  | const char * | text |
| ) |  |  |

Rename a depot.

Parameters:

  | tile | unused
  | flags | type of operation
  | p1 | id of depot
  | p2 | unused
  | text | the new name or an empty string when resetting to the default

Returns:
  the cost of this operation or an error

Definition at line 45 of file depot_cmd.cpp.

References CheckTileOwnership(), CMD_ERROR, DC_EXEC, CommandCost::Failed(), Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tcache, Tzero >::PoolItem<&_depot_pool >::GetIfValid(), GetTileOwner(), GetTileType(), GetWindowClassForVehicleType(), Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tcache, Tzero >::PoolItem< Tpool >::index, MakeDefaultName(), MAX_LENGTH_DEPOT_NAME_CHARS, MP_RAILWAY, MP_ROAD, MP_WATER, return_cmd_error, SetWindowClassesDirty(), SetWindowDirty(), StrEmpty(), Utf8StringLength(), VEH_ROAD, VEH_SHIP, and VEH_TRAIN.